#!/usr/bin/python3

# link        https://www.zibris.ch
# copyright   Zibris AG
# author      Michael Kleger <m.kleger@zibris.ch>

# -*- encoding: utf-8; py-indent-offset: 4 -*-

register_notification_parameters("nctalk", Dictionary(
    elements = [
        ("NCChannelID", TextAscii(
            title = _("Nextcloud Channel ID"),
            help = _("The channel ID can be found via the 'dots' on the talk 'group -> copy link'"),
            allow_empty = False,
        )),
        ("NCUrl", TextAscii(
            title = _("Nextcloud Url"),
            help = _("Specify Nextcloud address including https"),
            allow_empty = False,
        )),
        ("NCUser", TextAscii(
            title = _("Nextcloud Bot Username"),
            help = _("Username for the user under which the notes will be added"),
            allow_empty = False,
        )),
        ("NCPwd", TextAscii(
            title = _("Nextcloud Bot Password"),
            help = _("User's password"),
            allow_empty = False,
        ))
    ]
))